Module jdk.httpserver
Package com.sun.net.httpserver

## Class Authenticator.Result

- java.lang.Object
- - com.sun.net.httpserver.Authenticator.Result

- Direct Known Subclasses:
    `Authenticator.Failure`, `Authenticator.Retry`, `Authenticator.Success`
  Enclosing class:
    Authenticator

      public abstract static class Authenticator.Result
      extends Object

  Base class for return type from authenticate() method

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Result​()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Result

          public Result​()